%define major 6
%define libname	%mklibname esmtp %{major}
%define develname %mklibname esmtp -d

%define plugindir %{_libdir}/esmtp%{major}-plugins

Summary:	SMTP client library
Name:		libesmtp
Version:	1.0.6
Release:	%mkrel 12
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.stafford.uklinux.net/libesmtp/
Source0:	http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.gz
Patch0:		libesmtp-build.patch
Patch1:		libesmtp-1.0.6-automake.1.13.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libltdl-devel
BuildRequires:	automake
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	pkgconfig

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package -n	%{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.


%package -n	%{develname}
Summary:	Headers and development libraries for libESMTP
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 
%setup -q
%autopatch -p1
mkdir -p m4

%build
autoreconf -fi

if pkg-config openssl ; then
    export CFLAGS="$CFLAGS %{optflags} `pkg-config --cflags openssl`"
    export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
    export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

%configure --disable-static \
    --with-auth-plugin-dir=%{plugindir} \
    --enable-pthreads \
    --enable-require-all-recipients \
    --enable-etrn \
    --enable-ntlm --disable-static

%make_build

%install
%make_install

# remove unneeded files
find %{buildroot} -name '*.la' -delete
%multiarch_binaries %{buildroot}%{_bindir}/libesmtp-config

%files -n %{libname}
%doc AUTHORS COPYING* ChangeLog NEWS Notes README TODO
%{_libdir}/libesmtp.so.%{major}{,.*}
%{plugindir}

%files -n %{develname}
%multiarch %{multiarch_bindir}/libesmtp-config
%{_bindir}/libesmtp-config
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.0.6-12.mga8
+ Revision: 1514065
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-11.mga7
+ Revision: 1298826
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Aug 03 2017 guillomovitch <guillomovitch> 1.0.6-10.mga7
+ Revision: 1134247
- rebuild for latest openssl

* Wed Mar 02 2016 umeabot <umeabot> 1.0.6-9.mga6
+ Revision: 983567
- Rebuild for openssl

* Sun Jan 31 2016 umeabot <umeabot> 1.0.6-8.mga6
+ Revision: 929384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-7.mga5
+ Revision: 744017
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-6.mga5
+ Revision: 681441
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-5.mga4
+ Revision: 507108
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 1.0.6-4.mga3
+ Revision: 357587
- create m4 dir
- fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 dmorgan <dmorgan> 1.0.6-3.mga2
+ Revision: 103360
- Remove .la files

* Sun Feb 06 2011 spuhler <spuhler> 1.0.6-2.mga1
+ Revision: 47850
- removed buildroot definition from .spec
- imported package libesmtp


* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-2mdv2011.0
+ Revision: 627617
- don't force the usage of automake1.7

* Wed Aug 11 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-1mdv2011.0
+ Revision: 568983
- 1.0.6

* Thu Apr 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.4-8mdv2010.1
+ Revision: 533277
- rebuild for openssl-1.0.0

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-7mdv2010.1
+ Revision: 519021
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-6mdv2010.0
+ Revision: 425537
- rebuild

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-5mdv2009.1
+ Revision: 315573
- rebuild

* Tue Aug 26 2008 Emmanuel Andry <eandry@mandriva.org> 1.0.4-4mdv2009.0
+ Revision: 276360
- apply devel policy
- fix license
- check major

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2009.0
+ Revision: 222540
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2008.1
+ Revision: 150556
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 86137
- Import libesmtp

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.1
- 1.0.4
- fix deps
- use the %%mkrel macro
- new P0 from fedora extras
- rediffed P0

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3r1-3mdk
- added P0,P1 from fedora
- reconstruct the autotools

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3r1-2mdk
- fix deps and conditional %%multiarch

* Sun Aug 22 2004 Abel Cheung <deaddog@mandrake.org> 1.0.3r1-1mdk
- New version

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 1.0.2-1mdk
- New version

